Skip to main content
POST
/
api
/
v1
/
apps
Create App
curl --request POST \
  --url https://backend.revyl.ai/api/v1/apps/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "platform": "iOS",
  "description": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "platform": "<string>",
  "static_url": "<string>",
  "current_version": "<string>",
  "description": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "latest_version": "<string>",
  "versions_count": 0
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request model for creating an app.

name
string
required

App name (e.g., 'iOS-Prod', 'Android-Staging')

platform
enum<string>
required

Platform type: iOS or Android

Available options:
iOS,
Android
description
string | null

Optional description

Response

Successful Response

Response model for an app.

id
string<uuid> | null
org_id
string<uuid> | null
name
string | null
platform
string | null
static_url
string | null
current_version
string | null
description
string | null
created_at
string<date-time> | null
latest_version
string | null
versions_count
integer | null
default:0